#include <stdio.h>
#include <stdlib.h>
#include "matrix.h"
#include "lgs.h"


/* externes Klassenobjekt einbinden */

extern matrix nm_matrix;


/* Hauptprogramm */

int main(int argc, char *argv[])
{
  linearesSystem lgs1;

  lgs1.a = nm_matrix.aktion->laden(stdin, NULL);
  lgs1.b = nm_matrix.aktion->laden(stdin, NULL);

  if (!lrZerlegungUndDeterminanteUndLoesen(&lgs1, 
                                           relativeSpaltenMaximumStrategie)) {
    fprintf(stderr,"Matrix konnte nicht zerlegt werden\n");
  }else{
    fprintf(stdout,"A nach Zerlegung:\n");
    lgs1.a->aktion->speichern(lgs1.a, stdout);
    fprintf(stdout,"c:\n");
    lgs1.c->aktion->speichern(lgs1.c, stdout);
    fprintf(stdout,"x:\n");
    lgs1.x->aktion->speichern(lgs1.x, stdout);
    fprintf(stdout,"det(a) = %f\n", lgs1.det);
  }

  return 0;
}
