/* nmmatrix.h
 * Matrixtyp nxm-Matrix
 * erstellt: Die Okt 26 16:35:54 CEST 1999
 * Autoren:  Mirko Belickin und Joachim Wagner
 */

#ifndef __NMMATRIX_H
#define __NMMATRIX_H

#include "namen.h"
#include "matrix.h"
#include <stdio.h>

typedef struct nmmatrixdaten {
    int n, m;                     /* Breite und Hoehe der Matrix */
    double *eintrag;              /* Eintraege der Matrix linear angeordnet */
} nmmatrixdaten;

typedef struct nmmatrixschablone {
    int n, m;                    /* gewuenschte Breite und Hoehe der Matrix */
    int init;                    /* 0 = Eintraege undef., 
                                    sonst erzeuge Nullmatrix */
} nmmatrixschablone;

#endif
